# DXGfxLib.RawObject Class Reference

Inherits DXGfxLib::SceneObject, and DXGfxLib::SceneObject.

Collaboration diagram for DXGfxLib.RawObject:

[legend]

List of all members.

## Public Member Functions
| RawObject ()
| Default constructor. Don't do anything.
| RawObject (string fileName)
| Ok this constructor does also load the specified file, using the current device that DXGfxManager should have information on.
| RawObject (Device d3ddevice, string fileName)
| This one also.
override void | GetPrepared ()
| For a Mesh object, when we are required to get prepared in fact we are going to load any DXResource needed to render.
| RawObject ()
| Default constructor. Don't do anything.
| RawObject (string fileName)
| Ok this constructor does also load the specified file, using the current device that DXGfxManager should have information on.
| RawObject (Device d3ddevice, string fileName)
| This one also.
override void | GetPrepared ()
| For a Mesh object, when we are required to get prepared in fact we are going to load any DXResource needed to render.
## Public Attributes
Vector3 | barycenter = new Vector3()
| Barycenter of our vertices.
float | bSphereRadius
| Radius of the bounding sphere in case we need it.
AABBox | boundingBox
| We want a bounding box we will need it when we attach to the scene graph.
float | objectRadius = 0.0f
| We also want to keep this information around.
Vector3 | objectCenter
| We also want to keep this information around.
## Protected Attributes
Material[] | meshMaterials
| If we are given material we want to keep that information. It is used among other things for rendering!
Texture[] | meshTextures
| If we are given materials to render our mesh we will need to load the associated textures!
EffectInstance[] | effects
| Same as for adjacencyBugger and materials if we are given effects we want to keep them.
## Properties
VertexBuffer | VBuff`[get, set]`
IndexBuffer | IBuff`[get, set]`
VertexFormats | VFormat`[get, set]`

## Detailed Description

Definition at line 27 of file RawObject.cs.

## Constructor & Destructor Documentation

DXGfxLib.RawObject.RawObject | ( |  | ) |

Default constructor. Don't do anything.

Definition at line 107 of file RawObject.cs.

DXGfxLib.RawObject.RawObject | ( | string | fileName | ) |

Ok this constructor does also load the specified file, using the current device that DXGfxManager should have information on.

Parameters:

  | fileName |

Definition at line 115 of file RawObject.cs.

Here is the call graph for this function:

DXGfxLib.RawObject.RawObject | ( | Device | d3ddevice,
|  | string | fileName |
| ) |  |  |

This one also.

Parameters:

  | d3ddevice |
  | fileName |

Definition at line 129 of file RawObject.cs.

Here is the call graph for this function:

DXGfxLib.RawObject.RawObject | ( |  | ) |

Default constructor. Don't do anything.

Definition at line 107 of file RawObject.cs.

DXGfxLib.RawObject.RawObject | ( | string | fileName | ) |

Ok this constructor does also load the specified file, using the current device that DXGfxManager should have information on.

Parameters:

  | fileName |

Definition at line 115 of file RawObject.cs.

Here is the call graph for this function:

DXGfxLib.RawObject.RawObject | ( | Device | d3ddevice,
|  | string | fileName |
| ) |  |  |

This one also.

Parameters:

  | d3ddevice |
  | fileName |

Definition at line 129 of file RawObject.cs.

Here is the call graph for this function:

## Member Function Documentation

override void DXGfxLib.RawObject.GetPrepared | ( |  | ) | `[virtual]`

For a Mesh object, when we are required to get prepared in fact we are going to load any DXResource needed to render.

Reimplemented from DXGfxLib.SceneNode.

Definition at line 137 of file RawObject.cs.

Here is the call graph for this function:

override void DXGfxLib.RawObject.GetPrepared | ( |  | ) | `[virtual]`

For a Mesh object, when we are required to get prepared in fact we are going to load any DXResource needed to render.

Reimplemented from DXGfxLib.SceneNode.

Definition at line 137 of file RawObject.cs.

Here is the call graph for this function:

## Member Data Documentation

Vector3 DXGfxLib.RawObject::barycenter = new Vector3()

Barycenter of our vertices.

Definition at line 32 of file RawObject.cs.

AABBox DXGfxLib.RawObject::boundingBox

We want a bounding box we will need it when we attach to the scene graph.

Definition at line 42 of file RawObject.cs.

float DXGfxLib.RawObject::bSphereRadius

Radius of the bounding sphere in case we need it.

Definition at line 37 of file RawObject.cs.

EffectInstance [] DXGfxLib.RawObject.effects`[protected]`

Same as for adjacencyBugger and materials if we are given effects we want to keep them.

Definition at line 92 of file RawObject.cs.

Material [] DXGfxLib.RawObject.meshMaterials`[protected]`

If we are given material we want to keep that information. It is used among other things for rendering!

Definition at line 82 of file RawObject.cs.

Texture [] DXGfxLib.RawObject.meshTextures`[protected]`

If we are given materials to render our mesh we will need to load the associated textures!

Definition at line 87 of file RawObject.cs.

Vector3 DXGfxLib.RawObject::objectCenter

We also want to keep this information around.

Definition at line 102 of file RawObject.cs.

float DXGfxLib.RawObject::objectRadius = 0.0f

We also want to keep this information around.

Definition at line 97 of file RawObject.cs.

## Property Documentation

IndexBuffer DXGfxLib.RawObject::IBuff`[get, set, protected]`

Definition at line 62 of file RawObject.cs.

VertexBuffer DXGfxLib.RawObject::VBuff`[get, set, protected]`

Definition at line 50 of file RawObject.cs.

VertexFormats DXGfxLib.RawObject::VFormat`[get, set, protected]`

Definition at line 73 of file RawObject.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/RawObject.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/RawObject.cs